<?php session_start(); ?>

<html>
	<head>
	<meta charset="iso-8859-1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content="Sistema de Planificaciones Digitales - FIUNER">
	<meta name="author" content="Daniel Wilka">
	<title>Sistema de Planificaciones Digitales - FIUNER</title>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
	</head>

	<body>
		<?php
			date_default_timezone_set('America/Argentina/Buenos_Aires');
			setlocale(LC_TIME, 'es_ES.UTF-8');				
			include("conecta.php");
		    include("header.php") ;		    
		    $usuario = $_SESSION['usuario'];		    		    
		    $cronograma_time = $_SESSION['cronograma_time'];		    
		    $externas_time = $_SESSION['externas_time'];		    		    
		    
			switch($usuario){
	                        case 'academica': include("menu.php");break;
	                        case 'admin': include("menu.php");break;                       
	                        case 'coordinador_tuped': include("menu_tuped.php");break;                       
	                        default:include("menu_docentes.php");break;                        
	                        }

			$codigo=$_POST['codigo'];
			$materia=$_POST['materia'];	
			$carrera=$_POST['carrera'];
			$departamento=$_POST['departamento'];
			$carga_horaria_semanal=$_POST['carga_horaria_semanal'];
			$carga_horaria_total=$_POST['carga_horaria_total'];
			$dictado=$_POST['dictado'];
			$anio_cursado=$_POST['anio_cursado'];
			$cuatrimestre_cursado=$_POST['cuatrimestre_cursado'];
			$observaciones=$_POST['observaciones'];
			$revision=$_POST['revision'];
			$contenidos_minimos=limpiar($_POST['contenidos_minimos']);
			$correlativas_aprobadas=limpiar($_POST['correlativas_aprobadas']);
			$correlativas_regulares=limpiar($_POST['correlativas_regulares']);
			$correlativas_finales=limpiar($_POST['correlativas_finales']);			
			$insercion=limpiar($_POST['insercion']);
			$objetivo_general=limpiar($_POST['objetivo_general']);
			$objetivos_particulares=limpiar($_POST['objetivos_particulares']);
			$programa=limpiar($_POST['programa']);
			$metodologia_didactica=limpiar($_POST['metodologia_didactica']);
			$formacion_practica=limpiar($_POST['formacion_practica']);
			$listado_practicas=limpiar($_POST['listado_practicas']);
			$metodologia_evaluacion_cursado=limpiar($_POST['metodologia_evaluacion_cursado']);
			$metodologia_evaluacion_finales=limpiar($_POST['metodologia_evaluacion_finales']);
			$condiciones_regularidad=limpiar($_POST['condiciones_regularidad']);		
			$bibliografia_principal=limpiar($_POST['bibliografia_principal']);
			$bibliografia_complementaria=limpiar($_POST['bibliografia_complementaria']);
			$docente_nombres=$_POST['docente_nombres'];
			$docente_apellidos=$_POST['docente_apellidos'];			
			$email=$_POST['correo_titular'];
			$equipo_catedra=limpiar($_POST['equipo_catedra']);
			$actividades=limpiar($_POST['actividades']);
			$requisitos_oyentes=limpiar($_POST['requisitos_oyentes']);
			$infraestructura=limpiar($_POST['infraestructura']);
			$otros=limpiar($_POST['otros']);
			
			$horas_nivel_02=$_POST['horas_nivel_02'];
			$horas_nivel_01=$_POST['horas_nivel_01'];
			$horas_nivel_03=$_POST['horas_nivel_03'];			
			$total_horas=$_POST['total_horas'];

			$competencias_genericas=$_POST['competencias_genericas'];			
			$competencias_especificas=$_POST['competencias_especificas']; 
			$competencias_argumentacion=($_POST['competencias_argumentacion']);							
			$correlativas_finales=$_POST['correlativas_finales'];  
			$actividades_externas=$_POST['actividades_externas'];

			if (isset($_POST['externas_archivo'])) {$externas_archivo=$_POST['externas_archivo'];}
						
			$promocion_directa="";

			if (isset($_POST['externas_si'])) {$externas_si=$_POST['externas_si'];}else $externas_si='false';
			if (isset($_POST['externas_no'])){$externas_no=$_POST['externas_no'];} else $externas_no='false';			
			if ($externas_si=='true') {$contempla_externas='si';}			
			if ($externas_no=='true') {$contempla_externas='no';}
									
			if (isset($_POST['sin_promocion'])){$sin_promocion=$_POST['sin_promocion'];} else $sin_promocion='false';			
			if (isset($_POST['con_promocion'])){$con_promocion=$_POST['con_promocion'];} else $con_promocion='false';			
			if ($sin_promocion=='true') {$promocion_directa='no';}			
			if ($con_promocion=='true') {$promocion_directa='si';}

			include('init_parciales.php');					
			include('actualizar_parciales_semestre01.php');		
			include('actualizar_parciales_semestre02.php');		
			include('actualizar_mes_semestre01.php');		
			include('actualizar_mes_semestre02.php');

			function limpiar($cadena) {
										$no_permitidas = array ("'");
										$permitidas    = array ('');
										$texto = str_replace($no_permitidas,$permitidas,$cadena);										
										return $texto;
										}

			function quitar_tildes($cadena) {
											$no_permitidas = array (' - ',' ','','','','','','','','','','','','','','','','','');
											$permitidas    = array ('_','-','a','e','i','o','u','A','E','I','O','U','n','N','A','E','I','O','U');										
											$texto = str_replace($no_permitidas,$permitidas,$cadena);
											$texto = strtolower($texto);
											return $texto;
											}									

			function traducir_fechas($cadena) {
											$no_permitidas = array ('Monday','Tuesday','Wednesday','Thursday','Friday' ,'Saturday','Sunday' ,'January','February','March','April','May' ,'June' ,'July' ,'August','September' ,'October','November' ,'December');
											$permitidas    = array ('Lunes' ,'Martes' ,'Mircoles','Jueves'  ,'Viernes','Sbado'  ,'Domingo','Enero'  ,'Febrero' ,'Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre');
											$fecha = str_replace($no_permitidas,$permitidas,$cadena);											
											return $fecha;
											}									

	?>

	    <div class="container" style="width:70%; background:#fafafa; padding-top:10px; padding-left:35px; border:1px solid #ccc; margin-bottom:25px;"> 
			<?php 
				$consulta="SELECT * from catedras where codigo='".$codigo."'";              
				$result = mysqli_query($conexion,$consulta);
				$row = mysqli_fetch_array($result);
				
				include("actualizar.externas.php");
				include("actualizar.cronograma.php");
				include("actualizar.titular.php");
				include("actualizar.departamentos.php");
				include("actualizar.query_parciales.php");
				include("actualizar.query_catedra.php");

				switch($usuario) {
									case 'admin': echo "<div style='margin-top:25px;'><a class='boton' href='leer_materia.php?codigo=".$codigo."'>Volver a la asignatura</a></div><br><br>";	break;
									case 'academica': echo "<div style='margin-top:25px;'><a class='boton' href='leer_materia.php?codigo=".$codigo."'>Volver a a la asignatura</a></div> <br><br>";	break;
									case 'coordinacion_academica': echo "<div style='margin-top:25px;'><a class='boton' href='inicio.php'>Volver al Inicio</a></div> <br><br>";	break;
									case 'auxiliar': echo "<div style='margin-top:25px;'><a class='boton' href='inicio.php'>Volver al Inicio</a></div> <br><br>";	break;
									case 'coordinador_tuped': echo "<div style='margin-top:25px;'><a class='boton' href='inicio_tuped.php'>Volver al Inicio</a></div> <br><br>";	break;
									default: echo "<div style='margin-top:25px;'><a class='boton' href='inicio_docentes.php'>Volver al Inicio</a> </div><br><br>";
								}
						?>
		</div>
	</body>
</html>