<?php
session_start();
date_default_timezone_set('America/Argentina/Buenos_Aires');
setlocale(LC_TIME,'spanish');
$hora= date("H:i");
$dia = date("d/m/Y");
$fecha = $dia." ".$hora;
$codigo=$_SESSION['codigo'];
$materia=$_SESSION['materia'];
$carrera=$_SESSION['carrera'];
$departamento=$_SESSION['departamento'];
$carga_horaria_semanal=$_SESSION['carga_horaria_semanal'];
$carga_horaria_total=$_SESSION['carga_horaria_total'];
$bibliografia_principal=$_SESSION['bibliografia_principal'];
$bibliografia_complementaria=$_SESSION['bibliografia_complementaria'];
require('pdf/fpdf.php');
/*
Cell( width , height , string, border ,ln , alineamiento ,relleno ,link)
ln indica donde debe ir luego de ejecutar la sentencia
0:a la derecha
1: al comienzo de la proxima linea
2: debajo 
*/

class PDF extends FPDF{
					//Cabecera de pgina
					function Header()
										{
										 $this->Image('logo.png',10,11,45);
										 $this->SetFont('Helvetica','IB',14);
										 $this->Cell(0,15,'Planificaciones de Ctedra - FIUNER',0,2,'C');
										 $this->Cell(0,7,'',0,2,'C');										 
										}


						function Footer()
										{
										$this->SetY(-15);
										$this->SetFont('Arial','I',8); //Fuente Arial, itlica nmero 8
										$this->Cell(0,5,'Pgina '.$this->PageNo().' de {nb}',0,0,'C'); //ancho de celda automtico (0) alto de celda 5
										$this->Cell(0,5,'Planificaciones de Ctedra',0,2,'R');
										$this->Cell(0,5,'Facultad de Ingeniera - UNER',0,2,'R');
										}

					}//final del class PDF

//Creacin del objeto de la clase heredada
$pdf=new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();

$pdf->SetFont('helvetica','B',12); $pdf->Write(7,'Bibliografa de la Asignatura: '); $pdf->SetFont('helvetica','',12); $pdf->Write(7,$materia); $pdf->Ln();

$pdf->SetFont('helvetica','B',12); $pdf->Write(7,'Fecha: '); $pdf->SetFont('helvetica','',12); $pdf->Write(7,$fecha); $pdf->Ln();

$pdf->SetFont('helvetica','B',12);  $pdf->Write(7,'Cdigo: '); $pdf->SetFont('helvetica','',12); $pdf->Write(7,$codigo); $pdf->Ln();

$pdf->SetFont('helvetica','B',12); $pdf->Write(7,'Carrera: '); $pdf->SetFont('helvetica','',12); $pdf->Write(7,$carrera); $pdf->Ln();

$pdf->SetFont('helvetica','B',12); $pdf->Write(7,'Departamento Acadmico: '); $pdf->SetFont('helvetica','',12); $pdf->Write(7,$departamento); $pdf->Ln();

$pdf->SetFont('helvetica','B',12); $pdf->Write(7,'Carga Horaria Semanal: '); $pdf->SetFont('helvetica','',12); $pdf->Write(7,$carga_horaria_semanal.' horas semanales'); $pdf->Ln();

$pdf->SetFont('helvetica','B',12); $pdf->Write(7,'Carga Horaria Total: '); $pdf->SetFont('helvetica','',12); $pdf->Write(7,$carga_horaria_total.' horas'); $pdf->Ln();


//Lnea Divisoria
$pdf->Ln(); $x = $pdf->getX(); $y = $pdf->getY(); $pdf->Line($x, $y, $x + 190,$y); $pdf->Ln();

$pdf->SetFont('helvetica','B',12); $pdf->Write(7,'Bibliografia Principal'); $pdf->Ln(); $pdf->SetFont('helvetica','',12); $pdf->Write(7, $bibliografia_principal);$pdf->Ln();

//Lnea Divisoria
$pdf->Ln(); $x = $pdf->getX(); $y = $pdf->getY(); $pdf->Line($x, $y, $x + 190,$y); $pdf->Ln();

$pdf->SetFont('helvetica','B',12); $pdf->Write(7,'Bibliografia Complementaria'); $pdf->Ln(); $pdf->SetFont('helvetica','',12); $pdf->Write(7, $bibliografia_complementaria);$pdf->Ln();

$pdf->Ln();

$pdf->Output('bibliografia_'.$materia.'.pdf','I');

?>
