<?php include("valida.php");?>

<!DOCTYPE html>
  <head>
    <meta charset="ISO-8859-1">
	<meta name="viewport" content="width=device-width, initial-scale=1.0 , maximum-scale=1.0, user-scalable=no">
	<meta http-equiv="Expires" content="0">
	<meta http-equiv="Last-Modified" content="0">
	<meta http-equiv="Cache-Control" content="no-cache, mustrevalidate">
	<meta http-equiv="Pragma" content="no-cache">
    <meta name="description" content="Sistema de Planificaciones Digitales - FIUNER">
    <meta name="author" content="Daniel Wilka">
    <title>Sistema de Planificaciones Digitales - FIUNER</title>
    <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link href="css/bootstrap-datetimepicker.css" rel="stylesheet" media="screen">
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,600italic,400,600" rel="stylesheet">
    <link href="css/font-awesome.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">
    <link href="css/estilos.css" rel="stylesheet">
  </head>

  <body>  	

	<?php 
		include("init.php"); 
		$usuario = $_SESSION['usuario'];
		$codigo=$_SESSION['codigo'];              
		include("conecta.php");               
		
		$consulta="SELECT * from catedras where codigo='".$codigo."'";              
		$result = mysqli_query($conexion,$consulta);
		$row = mysqli_fetch_array($result);
		
		$consulta2="SELECT * from departamentos where codigo='".$codigo."'";                  
		$result2 = mysqli_query($conexion,$consulta2);
		$row2 = mysqli_fetch_array($result2);         
		$revision=$row2['revision'];
		$enable=$row['enable'];
		$observaciones=$row2['observaciones'];             		
		$consulta3="SELECT * from parciales where codigo='".$codigo."'";                  
		$result3 = mysqli_query($conexion,$consulta3);
		$row3 = mysqli_fetch_array($result3);         
		include("leer_titular.php");			      
		include("leer_parciales.php");		
		include("leer_variables.php");		
		include("header.php"); 
		include("menu_docentes.php"); 
	?>
      <div class="container" style="width:75%; background:#fafafa; padding-top:10px; padding-left:35px; border:1px solid #ccc; margin-bottom:25px;"> 
        <div class="row">          
            <div class="col-md-6 col-md-offset-3">
	            <h1 class="page-header text-center" style="font-size: 20px; line-height:150%; font-family:opensans-light,sans-serif; margin-top: 10px;">
	            	Planificacin de la Asignatura: <br><strong><?php echo $_SESSION['nombre_usuario'] ?></strong>
	            </h1>
            </div>
            </div>
            <br>

          <div class="row">
				<form class="form-horizontal" method="POST" enctype="multipart/form-data" name="formulario_actualizar" action="actualizar.php" onsubmit="return verificar();">
			          <div class="col-sm-12">
			          	<?php include("tabs.php"); ?>			          	
			            <div class="tab-content">			              
			              <div class="tab-pane fade in active col-sm-12" id="1"><?php include('datos_generales_docentes.php');?> </div>
			              <div class="tab-pane fade" id="2"><?php include("leer_materia.contenidos.php");?></div>
			              <div class="tab-pane fade" id="3"><?php include("leer_materia.competencias.php");?> </div>
			              <div class="tab-pane fade" id="4"><?php include("leer_materia.correlativas.php");?> </div>
			              <div class="tab-pane fade" id="5"><?php include("leer_materia.insercion.php");?> </div>
			              <div class="tab-pane fade" id="6"><?php include("leer_materia.objetivos.php");?> </div>
			              <div class="tab-pane fade" id="7"><?php include("leer_materia.programa.php");?> </div>
			              <div class="tab-pane fade" id="8"><?php include("leer_materia.metodologia.php");?> </div>
			              <div class="tab-pane fade" id="9"><?php include("leer_materia.formacion_practica.php");?> </div>				              
			              <div class="tab-pane fade" id="10"><?php include("leer_materia.evaluacion.php");?> </div>
			              <div class="tab-pane fade" id="11"><?php include("leer_materia.cronograma.php");?> </div>
			              <div class="tab-pane fade" id="12"><?php include("leer_materia.externas.php");?> </div>
			              <div class="tab-pane fade" id="13"><?php include("leer_materia.bibliografia.php");?> </div>
			              <div class="tab-pane fade" id="14"> <?php include("leer_materia.catedra.php");?> </div>
			              <div class="tab-pane fade" id="15"><?php include("leer_materia.otros.php");?> </div>
			          </div><!-- FINAL DE DIV TAB-CONTENT -->
			        </div><!-- FINAL DE div class="col-sm-12"--> 

			          <div class="col-md-6" style="height:50px;">
			          <input type="submit" class="btn btn-primary" name="actualizar" <?php if ($enable=='0') {echo "disabled";}?> value="Guardar Datos"/>
			          </div>
					</form><!-- FINAL DEL forumlario principal CLASS ROW -->        

          <div class="col-md-6" style="height:50px;">
          <form class="form-horizontal"  target="_blank" method="POST" name="exportar_pdf" action="exportar_planificacion.php">             
          <input type="submit" class="btn btn-primary" name="exportar" value="Exportar Planificacin a PDF"/>                             
          </form>   
          </div> 

        </div><!-- FINAL DEL DIV CLASS ROW -->        
        <br><br><br><br>
      </div><!-- FINAL DEL DIV CONTAINER -->

<?php include("footer.php"); ?>    

<script type="text/javascript">

function verificar(){

					var contenidos = document.getElementById("contenidos_minimos").value;
					if (contenidos == "") {alert("La pestaa Contenidos Mnimos no puede estar vaca"); return false;}

					var correlativas_aprobadas = document.getElementById("correlativas_aprobadas").value;
					if (correlativas_aprobadas == "") {alert("El campo Correlativas Aprobadas no puede estar vaco"); return false;}

					var correlativas_regulares = document.getElementById("correlativas_regulares").value;
					if (correlativas_regulares == "") {alert("El campo Correlativas Regulares no puede estar vaco"); return false;}

					var evaluacion_cursado = document.getElementById("metodologia_evaluacion_cursado").value;
					if (evaluacion_cursado == "") {alert("El campo: Metodologa de Evaluacin Durante el Cursado no puede estar vaco"); return false;}

					var evaluacion_finales = document.getElementById("metodologia_evaluacion_finales").value;
					if (evaluacion_finales == "") {alert("El campo: Metodologa de Evaluacin en Exmenes finales no puede estar vaco"); return false;}

					var condiciones_regularidad = document.getElementById("condiciones_regularidad").value;
					if (condiciones_regularidad == "") {alert("El campo: Condiciones de Regularidad no puede estar vaco"); return false;}

					var sin_promocion = document.getElementById("sin_promocion").checked;
					var con_promocion = document.getElementById("con_promocion").checked;
					if (!sin_promocion && !con_promocion) {alert("Es necesario informar si la materia posee promocin directa"); return false;}

					var tipo_archivo = document.getElementById("userfile").files[0].type;
					if (tipo_archivo!="application/pdf"){alert("Error: Se permiten nicamente archivos .pdf"); return false;}


					}//final de la funcin verificar
	</script>

<script type="text/javascript">
	function promocion_si(){
  	document.getElementById("sin_promocion").checked=false;  
  	}
  	function promocion_no(){
  	document.getElementById("con_promocion").checked=false;  
  	}
  	</script>	
</body>
</html>