<?php
	header('Content-Type: application/vdn.ms-excel');
	header('Content-Disposition: attachment; filename=reporte_evaluaciones-parciales.xls');
	require('../excel/PHPExcel.php');
	include('../conecta.php');
	$conexion->set_charset('utf8');
	$consulta ="SELECT * from catedras WHERE visible='1' ORDER BY codigo";              
	$result = mysqli_query($conexion,$consulta);
	$excel = new PHPExcel();
	$excel->getProperties()->setCreator('Planificaciones Digitales - FIUNER')->setLastModifiedBy('Planificaciones Digitales - FIUNER')->setTitle('Planificaciones Digitales - FIUNER');
	$excel->setActiveSheetIndex(0);
	$pagina = $excel->getActiveSheet();

	//centrado horizontal columnas A hasta E
	$pagina->getStyle('A:N')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
	$pagina->getStyle('A:N')->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);

	//la librería soporta un máximo de 31 caracteres en el título de la hoja
	$pagina->setTitle('Parciales Semestre 01');

	//recorro toda la base y genero una matriz denominada asignaturas con el contenido de la base
	while ($row = mysqli_fetch_array($result)) { $asignaturas[] = $row; }

	//Seteo los encabezados de columna										
	$pagina->setCellValue('A1', 'Código');
	$pagina->setCellValue('B1', 'Nombre');
	$pagina->setCellValue('C1', 'Carrera');
	$pagina->setCellValue('D1', 'Departamento Académico	');
	$pagina->setCellValue('E1', 'Parcial 01');
	$pagina->setCellValue('F1', 'Parcial 02');
	$pagina->setCellValue('G1', 'Parcial 03');
	$pagina->setCellValue('H1', 'Parcial 04');
	$pagina->setCellValue('I1', 'Parcial 05');
	$pagina->setCellValue('J1', 'Recuperatorio 01');
	$pagina->setCellValue('K1', 'Recuperatorio 02');
	$pagina->setCellValue('L1', 'Recuperatorio 03');
	$pagina->setCellValue('M1', 'Recuperatorio 04');
	$pagina->setCellValue('N1', 'Recuperatorio 05');

	$pagina->getStyle('A1:N1')->getFont()->setBold(true);
	$pagina->getStyle('A1:N1')->getFont()->setSize(12);
	$pagina->getRowDimension()->setRowHeight('30');											

	for($i=0;$i<count($asignaturas);$i++){												
											$codigo=$asignaturas[$i]['codigo'];												
											$consulta_parciales="SELECT * from parciales where codigo='".$codigo."'";              
											$result_parciales = mysqli_query($conexion,$consulta_parciales);
											$row_parciales = mysqli_fetch_array($result_parciales);	
											$parcial01=$row_parciales['s01p01_day'].'/'.$row_parciales['s01p01_month'];
											$parcial02=$row_parciales['s01p02_day'].'/'.$row_parciales['s01p02_month'];  
											$parcial03=$row_parciales['s01p03_day'].'/'.$row_parciales['s01p03_month'];  
											$parcial04=$row_parciales['s01p04_day'].'/'.$row_parciales['s01p04_month'];  
											$parcial05=$row_parciales['s01p05_day'].'/'.$row_parciales['s01p05_month'];  
											$recuperatorio01=$row_parciales['s01_recuperatorio01_day'].'/'.$row_parciales['s01_recuperatorio01_month'];  
											$recuperatorio02=$row_parciales['s01_recuperatorio02_day'].'/'.$row_parciales['s01_recuperatorio02_month'];  
											$recuperatorio03=$row_parciales['s01_recuperatorio03_day'].'/'.$row_parciales['s01_recuperatorio03_month'];  
											$recuperatorio04=$row_parciales['s01_recuperatorio04_day'].'/'.$row_parciales['s01_recuperatorio04_month'];  
											$recuperatorio05=$row_parciales['s01_recuperatorio05_day'].'/'.$row_parciales['s01_recuperatorio05_month'];  
											if ($parcial01=='/') { $parcial01='';}
											if ($parcial02=='/') { $parcial02='';}
											if ($parcial03=='/') { $parcial03='';}
											if ($parcial04=='/') { $parcial04='';}
											if ($parcial05=='/') { $parcial05='';}
											if ($recuperatorio01=='/') { $recuperatorio01='';}
											if ($recuperatorio02=='/') { $recuperatorio02='';}
											if ($recuperatorio03=='/') { $recuperatorio03='';}
											if ($recuperatorio04=='/') { $recuperatorio04='';}
											if ($recuperatorio05=='/') { $recuperatorio05='';}
											$pagina->getRowDimension($i+2)->setRowHeight('30');												
											$pagina->setCellValue('A'. ($i+2), $asignaturas[$i]['codigo']);
											$pagina->setCellValue('B'. ($i+2), $asignaturas[$i]['materia']);
											$pagina->setCellValue('C'. ($i+2), $asignaturas[$i]['carrera']);
											$pagina->setCellValue('D'. ($i+2), $asignaturas[$i]['departamento']);
											$pagina->setCellValue('E'.($i+2), $parcial01);
											$pagina->setCellValue('F'.($i+2), $parcial02);
											$pagina->setCellValue('G'.($i+2), $parcial03);
											$pagina->setCellValue('H'.($i+2), $parcial04);
											$pagina->setCellValue('I'.($i+2), $parcial05);
											$pagina->setCellValue('J'.($i+2), $recuperatorio01);
											$pagina->setCellValue('K'.($i+2), $recuperatorio02);
											$pagina->setCellValue('L'.($i+2), $recuperatorio03);
											$pagina->setCellValue('M'.($i+2), $recuperatorio04);
											$pagina->setCellValue('N'.($i+2), $recuperatorio05);
										}
	//seteo el ancho automático de columnas
	foreach(range('A', 'N') as $column){$pagina->getColumnDimension($column)->setAutoSize(true);}	

	/*************************************************** PARCIALES SEMESTRE 02 *******************************************************************/	
		$pagina2 = $excel->createSheet(1); //Setting index when creating    
		$pagina2->setTitle("Parciales Semestre02");
		$pagina2->getStyle('A:N')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
		$pagina2->getStyle('A:N')->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);        
		$pagina2->getStyle('A1:N1')->getFont()->setBold(true);
		$pagina2->getStyle('A1:N1')->getFont()->setSize(12);
		$pagina->getRowDimension()->setRowHeight('30');				
		$pagina2->setCellValue('A1', 'Código');
		$pagina2->setCellValue('B1', 'Nombre');
		$pagina2->setCellValue('C1', 'Carrera');
		$pagina2->setCellValue('D1', 'Departamento Académico	');
		$pagina2->setCellValue('E1', 'Parcial 01');
		$pagina2->setCellValue('F1', 'Parcial 02');
		$pagina2->setCellValue('G1', 'Parcial 03');
		$pagina2->setCellValue('H1', 'Parcial 04');
		$pagina2->setCellValue('I1', 'Parcial 05');
		$pagina2->setCellValue('J1', 'Recuperatorio 01');
		$pagina2->setCellValue('K1', 'Recuperatorio 02');
		$pagina2->setCellValue('L1', 'Recuperatorio 03');
		$pagina2->setCellValue('M1', 'Recuperatorio 04');
		$pagina2->setCellValue('N1', 'Recuperatorio 05');
		$pagina2->getStyle('A1:I1')->getFont()->setBold(true);
		$pagina2->getStyle('A1:I1')->getFont()->setSize(12);
		$pagina2->getRowDimension()->setRowHeight('30');	

		for($i = 0; $i < count($asignaturas); $i++){												
													$codigo=$asignaturas[$i]['codigo'];												
													$consulta_parciales="SELECT * from parciales where codigo='".$codigo."'";              
													$result_parciales = mysqli_query($conexion,$consulta_parciales);
													$row_parciales = mysqli_fetch_array($result_parciales);	
													$parcial01=$row_parciales['s02p01_day'].'/'.$row_parciales['s02p01_month'];
													$parcial02=$row_parciales['s02p02_day'].'/'.$row_parciales['s02p02_month'];  
													$parcial03=$row_parciales['s02p03_day'].'/'.$row_parciales['s02p03_month'];  
													$parcial04=$row_parciales['s02p04_day'].'/'.$row_parciales['s02p04_month'];  
													$parcial05=$row_parciales['s02p05_day'].'/'.$row_parciales['s02p05_month'];  
													$recuperatorio01=$row_parciales['s02_recuperatorio01_day'].'/'.$row_parciales['s02_recuperatorio01_month'];  
													$recuperatorio02=$row_parciales['s02_recuperatorio02_day'].'/'.$row_parciales['s02_recuperatorio02_month'];  
													$recuperatorio03=$row_parciales['s02_recuperatorio03_day'].'/'.$row_parciales['s02_recuperatorio03_month'];  
													$recuperatorio04=$row_parciales['s02_recuperatorio04_day'].'/'.$row_parciales['s02_recuperatorio04_month'];  
													$recuperatorio05=$row_parciales['s02_recuperatorio05_day'].'/'.$row_parciales['s02_recuperatorio05_month'];  
													if ($parcial01=='/') { $parcial01='';}
													if ($parcial02=='/') { $parcial02='';}
													if ($parcial03=='/') { $parcial03='';}
													if ($parcial04=='/') { $parcial04='';}
													if ($parcial05=='/') { $parcial05='';}
													if ($recuperatorio01=='/') { $recuperatorio01='';}
													if ($recuperatorio02=='/') { $recuperatorio02='';}
													if ($recuperatorio03=='/') { $recuperatorio03='';}
													if ($recuperatorio04=='/') { $recuperatorio04='';}
													if ($recuperatorio05=='/') { $recuperatorio05='';}
													$pagina2->getRowDimension($i+2)->setRowHeight('30');												
													$pagina2->setCellValue('A'. ($i+2), $asignaturas[$i]['codigo']);
													$pagina2->setCellValue('B'. ($i+2), $asignaturas[$i]['materia']);
													$pagina2->setCellValue('C'. ($i+2), $asignaturas[$i]['carrera']);
													$pagina2->setCellValue('D'. ($i+2), $asignaturas[$i]['departamento']);
													$pagina2->setCellValue('E'.($i+2), $parcial01);
													$pagina2->setCellValue('F'.($i+2), $parcial02);
													$pagina2->setCellValue('G'.($i+2), $parcial03);
													$pagina2->setCellValue('H'.($i+2), $parcial04);
													$pagina2->setCellValue('I'.($i+2), $parcial05);
													$pagina2->setCellValue('J'.($i+2), $recuperatorio01);
													$pagina2->setCellValue('K'.($i+2), $recuperatorio02);
													$pagina2->setCellValue('L'.($i+2), $recuperatorio03);
													$pagina2->setCellValue('M'.($i+2), $recuperatorio04);
													$pagina2->setCellValue('N'.($i+2), $recuperatorio05);
													}
	foreach(range('A', 'N') as $column){$pagina2->getColumnDimension($column)->setAutoSize(true);}	
	//generar archivo de excel
	$objWriter = PHPExcel_IOFactory::createWriter($excel, 'Excel5');
	$objWriter->save('php://output');	