<!DOCTYPE html>
	  <head>
	    <meta charset="ISO-8859-1">
	    <meta name="viewport" content="width=device-width, initial-scale=1.0 , maximum-scale=1.0, user-scalable=no">
	    <meta name="description" content="Sistema de Planificaciones Digitales - FIUNER">
	    <meta name="author" content="Daniel Wilka">
	    <link href="css/bootstrap-datetimepicker.css" rel="stylesheet" media="screen">
	    <title>Sistema de Planificaciones Digitales - FIUNER</title>
	  </head>
	  <body>  	
		<?php 
			date_default_timezone_set('America/Argentina/Buenos_Aires');
			setlocale(LC_TIME, 'es_ES.UTF-8');				
			include("valida.php"); 
			include("init.php");
			
	        if(isset($_GET['codigo'])) {    
	                                $codigo = $_GET['codigo'];
	                                $consulta="SELECT * from catedras where codigo='".$codigo."'";              
	                                $result = mysqli_query($conexion,$consulta);
	                                $row = mysqli_fetch_array($result);         
	                                $consulta2="SELECT * from departamentos where codigo='".$codigo."'";                  
	                                $result2 = mysqli_query($conexion,$consulta2);
	                                $row2 = mysqli_fetch_array($result2);         
	                                $revision=$row2['revision'];
	                                $observaciones=$row2['observaciones'];
	                                $_SESSION['codigo'] = $codigo;									
									$consulta3="SELECT * from parciales where codigo='".$codigo."'";                  
									$result3 = mysqli_query($conexion,$consulta3);
									$row3 = mysqli_fetch_array($result3);         
									include("leer_titular.php");			                                									
									include("leer_parciales.php");			                                
	                                include("leer_variables.php"); 
	                                $exportar_version="undefined";                              
	                              }

		include("header.php");

		$usuario = $_SESSION['usuario'];

		switch($usuario) {
							case 'admin': include("menu.php");break;
							case 'academica': include("menu.php");break;
							case 'coordinacion_academica': include("menu.php");break;
							case 'auxiliar': include("menu.php");break;
							case 'coordinador_tuped': include("menu_tuped.php");break;													
							}
		?>   

	      <div class="container" style="width:75%; background:#fafafa; padding-top:10px; padding-left:35px; border:1px solid #ccc; margin-bottom:25px;"> 

	        <div class="row">          
	            <div class="col-md-6 col-md-offset-3">
	              <h1 class="page-header text-center" style="font-size: 20px; line-height:150%; font-family:opensans-light,sans-serif; margin-top: 10px;">
	                Planificacin de la Asignatura: <br><strong><?php echo $materia; ?></strong>
	              </h1>
	            </div>
	        </div>   	 
	          <div class="row">
	          <form class="form-horizontal" method="POST" enctype="multipart/form-data" name="formulario_actualizar" action="actualizar.php" onsubmit="return verificar();">
	          	<div class="col-sm-12">
<!--Actividades Externas
1 - Datos generales
2 - contenidos
3 - competencias
4 - correlativas
5 - nsercin
6 - Objetivos
7 - Programa
8 - Metodologa
9 - Formacin Prctica
10 - Evaluacin
11- Cronograma
12 - Actividades Externas
13 - Bibliografa
14 - Equipo de Ctedra
15 - Otros
-->
			            <?php include("tabs.php"); ?>
			             	<div class="tab-content">
								<div class="tab-pane fade in active col-sm-12" id="1"> <?php include("datos_generales_read.php"); ?> </div> 															
								<div class="tab-pane fade" id="2"> <?php include("leer_materia.contenidos.php");?></div>
								<div class="tab-pane fade" id="3"> <?php include("leer_materia.competencias.php");?> </div>
								<div class="tab-pane fade" id="4"> <?php include("leer_materia.correlativas.php");?> </div>
								<div class="tab-pane fade" id="5"> <?php include("leer_materia.insercion.php");?> </div>
								<div class="tab-pane fade" id="6"> <?php include("leer_materia.objetivos.php");?> </div>
								<div class="tab-pane fade" id="7"> <?php include("leer_materia.programa.php");?> </div>
								<div class="tab-pane fade" id="8"> <?php include("leer_materia.metodologia.php");?> </div>
								<div class="tab-pane fade" id="9"> <?php include("leer_materia.formacion_practica.php");?> </div>				              
								<div class="tab-pane fade" id="10"> <?php include("leer_materia.evaluacion.php");?> </div>
								<div class="tab-pane fade" id="11"> <?php include("leer_materia.cronograma.php");?> </div>
								<div class="tab-pane fade" id="12"> <?php include("leer_materia.externas.php");?> </div>
								<div class="tab-pane fade" id="13"> <?php include("leer_materia.bibliografia.php");?> </div>
								<div class="tab-pane fade" id="14"> <?php include("leer_materia.catedra.php");?> </div>
					            <div class="tab-pane fade" id="15"> <?php include("leer_materia.otros.php");?> </div> 
			          		</div><!-- FINAL DE DIV TAB-CONTENT -->
	        	</div><!-- final del div class="col-sm-12"--> 

	          <div class="col-md-4" style="height:50px;">
	          <input type="submit" class="btn btn-primary" name="actualizar" value="Guardar Datos"/>
	          </div>
	      </form><!-- FINAL DEL forumlario principal CLASS ROW -->        

			<div class="col-md-4" style="height:50px;">
			<form class="form-horizontal"  target="_blank" method="POST" name="exportar_pdf" action="exportar_alumnos.php">             
			<input type="submit" class="btn btn-primary" name="exportar_alumnos" value="Exportar Informacin para Alumnos"/>                             
			</form>   
			</div>

			<div class="col-md-4" style="height:50px;">
			<form class="form-horizontal"  target="_blank" method="POST" name="exportar_pdf" action="exportar_docentes.php">             
			<input type="submit" class="btn btn-primary" name="exportar" value="Exportar Planificacin a PDF"/>                             
			</form>   
			</div> 

	        </div><!-- FINAL DEL DIV CLASS ROW -->        
	        <br><br><br><br>
	      </div><!-- FINAL DEL DIV CONTAINER -->

	<?php include("footer.php"); ?>
	    <?php
	    if(isset($_GET['codigo'])) {    
	                                ?> <script> document.getElementById("fila_input_codigo").style.display="none"; </script>  <?php
	                              }
	    ?>    
		<script type="text/javascript">
			
		function verificar(){
							var tipo_archivo = document.getElementById("userfile").files[0].type;
							if (tipo_archivo!="application/pdf")
							   {alert("Error: Se permiten nicamente archivos .pdf"); return false;}
							  }//final de la funcin verificar
		</script>

		<script type="text/javascript">
		function promocion_si(){document.getElementById("sin_promocion").checked=false;}
		function promocion_no(){document.getElementById("con_promocion").checked=false;}
		</script>

	</body>
</html>